Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataDCDSValue

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataDCDSValue

    public class ADataDCDSValue

extends java.lang.Object

Maps a AData DCDS record VALUE block

See Also:
  `ADataDCDSRecord`

Field Summary
`static int` | `BUFFER_LEN`
`protected static AssemblerDatatypeFactory` | `factory`

Constructor Summary
`ADataDCDSValue(byte[] buffer, int bufOffset)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write a (debug) dump of the receiver
`int` | `getBIT_LEN()`
`int` | `getBYTE_LEN()`
`int` | `getNEXT_VAL_OFF()`
`ADataDCDSValue` | `getNextValue()` Answer the next linked ADataDCDSValue
`int` | `getOBJECT_OFF()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_LEN

    public static final int BUFFER_LEN

See Also:
  Constant Field Values

### factory

    protected static AssemblerDatatypeFactory factory

Constructor Detail

### ADataDCDSValue

    public ADataDCDSValue(byte[] buffer,
                          int bufOffset)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getNEXT_VAL_OFF

    public int getNEXT_VAL_OFF()

### getOBJECT_OFF

    public int getOBJECT_OFF()

### getBYTE_LEN

    public int getBYTE_LEN()

### getBIT_LEN

    public int getBIT_LEN()

### getNextValue

    public ADataDCDSValue getNextValue()

  Answer the next linked ADataDCDSValue

  Returns:
    ADataDCDSValue

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write a (debug) dump of the receiver

  Parameters:
    `writer` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD